Project

Profile

Help

Story #261

[RFE] puppet forge needs a v3 url

Added by cristi.falcas@gmail.com over 6 years ago. Updated over 2 years ago.

Status:
CLOSED - CURRENTRELEASE
Priority:
High
Assignee:
Start date:
Due date:
% Done:

0%

Estimated time:
Platform Release:
2.7.0
Groomed:
Sprint Candidate:
Tags:
Pulp 2
Sprint:
Quarter:

Description

++ This bug was initially created as a clone of Bugzilla Bug #1150935 ++

Description of problem:

Description of problem:
Starting with puppet 3.6.0, puppet module install tries to access the forge with this url:
http://pulp.company.net/v3/releases?module=rtyler-jenkins

I've tried to add the redirects from https://www.redhat.com/archives/pulp-list/2014-August/msg00021.html, but that doesn't seem to work for me.

Version-Release number of selected component (if applicable): 2.4, 2.5

How reproducible:
Always

Steps to Reproduce:
1.Try to install a module with a current version of puppet (3.6, 3.7)
2.
3.

Actual results:
puppet reports an error:
puppet module install --module_repository=http://pulp.company.net/pulp_puppet/forge/repository/puppet rtyler-jenkins --target-dir /etc/puppet/environments/management/modules
Notice: Preparing to install into /etc/puppet/environments/management/modules ...
Notice: Downloading from http://pulp.company.net/pulp_puppet/forge/repository/puppet ...
Error: Could not execute operation for 'rtyler-jenkins'
The server being queried was http://pulp.company.net/v3/releases?module=rtyler-jenkins
The HTTP response we received was '404 Not Found'
Check the author and module names are correct.

Expected results:

Additional info:

--- Additional comment from at 10/13/2014 16:10:40 ---

It might make sense to create stories for implementing support for the new API.

--- Additional comment from at 01/28/2015 23:05:01 ---

Is there any workaround for this until the bug is fixed?

--- Additional comment from at 02/03/2015 14:14:46 ---

There is no workaround other than using an earlier version of puppet.

https://github.com/pulp/pulp_puppet/pull/159

History

#1 Updated by bmbouter over 6 years ago

  • Status changed from NEW to MODIFIED

This was already at MODIFIED state in Bugzilla. There was an error in the migration into Redmine. This change sets the correct state.

#2 Updated by dkliban@redhat.com over 6 years ago

  • Status changed from MODIFIED to 5

#3 Updated by dkliban@redhat.com almost 6 years ago

  • Status changed from 5 to CLOSED - CURRENTRELEASE

#4 Updated by bmbouter over 2 years ago

  • Tags Pulp 2 added

Please register to edit this issue

Also available in: Atom PDF